import request from '@/utils/request'
// 获取区域列表
export function getZoneList(data) {
  return request({
    url: '/admin/userWhitelistWarning/getZoneList',
    method: 'get'
  })
}

// 预警信息
export function warningInfo(data) {
  return request({
    url: '/admin/userWhitelistWarning/warningInfo',
    method: 'post',
    data
  })
}

// 预警范围信息
export function warningRangeInfo(data) {
  return request({
    url: '/admin/userWhitelistWarning/warningRangeInfo',
    method: 'post',
    data
  })
}
// 预警列表分页
export function getPageList(data) {
  return request({
    url: '/admin/userWhitelistWarning/getPageList',
    method: 'post',
    data
  })
}
// 预警处理
export function warningHandle(data) {
  return request({
    url: '/admin/userWhitelistWarning/warningHandle',
    method: 'post',
    data
  })
}
